Package org.apache.sling.scripting.sightly.impl.html.dom.template

## Class TemplateParser

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.html.dom.template.TemplateParser

    public class TemplateParser
    extends Object

The template parser parses an HTML document and returns a reusable tree representation.

### Nested Class Summary

Nested Classes
`static class` `TemplateParser.TemplateParserContext`

### Constructor Summary

Constructors
`TemplateParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Template` `parse​(Reader reader)` Parse an html document

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateParser

    public TemplateParser()

### Method Detail

#### parse

    public Template parse​(Reader reader)
                   throws IOException

Parse an html document

Parameters:
  `reader` - to be parsed
Returns:
  a Template
Throws:
  `IOException` - in case of any parsing error